clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::EligibleRegion Struct Reference

Represents locations that can accept a definition. More...

`#include <SourceCode.h>`

Collaboration diagram for clang::clangd::EligibleRegion:
[legend]

## Public Attributes
std::string | EnclosingNamespace
| Namespace that owns all of the EligiblePoints, e.g. More...
std::vector< Position > | EligiblePoints
| Offsets into the code marking eligible points to insert a function definition. More...

## Detailed Description

Represents locations that can accept a definition.

Definition at line 268 of file SourceCode.h.

## Member Data Documentation

## ◆ EligiblePoints

std::vector<Position> clang::clangd::EligibleRegion::EligiblePoints

Offsets into the code marking eligible points to insert a function definition.

Definition at line 275 of file SourceCode.h.

## ◆ EnclosingNamespace

std::string clang::clangd::EligibleRegion::EnclosingNamespace

Namespace that owns all of the EligiblePoints, e.g.

namespace a{ namespace b {^ void foo();^} } It will be “a::b” for both carrot locations.

Definition at line 272 of file SourceCode.h.

The documentation for this struct was generated from the following file:

- SourceCode.h